Bug Hunting Session
Bug 112454 - 'Delete comment' not working with mutli-selection
Summary: 'Delete comment' not working with mutli-selection
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.2.8.2 release
Hardware: All All
: medium normal
Assignee: Michael Weghorn
URL:
Whiteboard: target:6.2.0 target:6.1.2 target:6.0.7
Keywords: bibisected, regression
Depends on:
Blocks: Calc-Comments
  Show dependency treegraph
 
Reported: 2017-09-17 20:38 UTC by Yousuf Philips (jay) (retired)
Modified: 2018-09-15 18:57 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
sample (10.07 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-09-17 20:38 UTC, Yousuf Philips (jay) (retired)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yousuf Philips (jay) (retired) 2017-09-17 20:38:45 UTC
Created attachment 136316 [details]
sample

Steps:
1. open attached file
2. select B2:B3 or B6:B7 or B9:B10
3. right-click and notice that 'Delete comment' isnt listed

regression as this worked fine in 4.1.6.2.

Show comment (.uno:ShowNote) and hide comment (.uno:HideNote) work correctly with multi-select.

Version: 6.0.0.0.alpha0+
Build ID: 7315f325ff7ada3d6bd85a471058fdaeaff8cdb0
CPU threads: 2; OS: Linux 4.4; UI render: default; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2017-09-17_06:58:21
Locale: en-US (en_US.UTF-8); Calc: group
Comment 1 Xisco Faulí 2017-09-17 21:39:56 UTC
Regression introduced in range https://cgit.freedesktop.org/libreoffice/core/log/?qt=range&q=f58e03e7bb0016c1ca789f7e7b35933c95378121..b755fb8c0f6b1282f62c12f378c0a5ecac64d490

Bibisected with bibisect/bibisect-43max
Comment 2 Commit Notification 2018-08-31 08:27:45 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=03b361673d04f31e0602d2988e4df26eaeb53a34

tdf#112454 Also consider last SCTAB in loop

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-08-31 12:14:32 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=8eca83829b21bf17f6a83b87df38862eab490b30

tdf#112454 Add tests for ScDocument::ContainsNotesInRange

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-08-31 15:55:16 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=db376075d564e5a834a5db6de4c7e381159c66be&h=libreoffice-6-1

tdf#112454 Also consider last SCTAB in loop

It will be available in 6.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2018-08-31 18:38:36 UTC
Michael Weghorn committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=9858b7004856a632778dde0dc7edddb14b673194&h=libreoffice-6-0

tdf#112454 Also consider last SCTAB in loop

It will be available in 6.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 BogdanB 2018-09-15 18:57:04 UTC
Works on:

Version: 6.2.0.0.alpha0+
Build ID: e005ab5d40d358adb75a64e140d46f4bf605647d
CPU threads: 4; OS: Linux 4.15; UI render: GL; VCL: gtk2; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2018-09-15_02:08:38
Locale: ro-RO (ro_RO.UTF-8); Calc: threaded